<div class="logo-wrapper">
<?php
$site_title = get_bloginfo( 'name' );
$page_logo  = talemy_get_post_meta( '_sf_page_logo' );
$logo_class = $logo_alt_class = $logo_width = $logo_height = $logo_alt_width = $logo_alt_height = $logo_r_url = '';

if ( $page_logo ) {
	$logo_url        = wp_get_attachment_image_url( talemy_get_post_meta( '_sf_logo' ), 'full' );
	$logo_r_url      = wp_get_attachment_image_url( talemy_get_post_meta( '_sf_logo_retina' ), 'full' );
	$logo_alt_url    = wp_get_attachment_image_url( talemy_get_post_meta( '_sf_logo_alt' ), 'full' );
	$logo_alt_r_url  = wp_get_attachment_image_url( talemy_get_post_meta( '_sf_logo_alt_retina' ), 'full' );
	$logo_dimensions = [
		'width'  => talemy_get_post_meta( '_sf_logo_width' ),
		'height' => talemy_get_post_meta( '_sf_logo_height' ),
	];
	$logo_alt_dimensions = [
		'width'  => talemy_get_post_meta( '_sf_logo_alt_width' ),
		'height' => talemy_get_post_meta( '_sf_logo_alt_height' ),
	];
} else {
	$logo_url            = talemy_get_option( 'logo' );
	$logo_r_url          = talemy_get_option( 'logo_retina' );
	$logo_dimensions     = talemy_get_option( 'logo_dimensions' );
	$logo_alt_url        = talemy_get_option( 'logo_alt' );
	$logo_alt_r_url      = talemy_get_option( 'logo_alt_retina' );
	$logo_alt_dimensions = talemy_get_option( 'logo_alt_dimensions' );
}

// logo width and height attribute
if ( ! empty( $logo_dimensions['width'] ) ) {
	$logo_width = filter_var( $logo_dimensions['width'], FILTER_SANITIZE_NUMBER_INT );
}
if ( ! empty( $logo_dimensions['height'] ) ) {
	$logo_height = filter_var( $logo_dimensions['height'], FILTER_SANITIZE_NUMBER_INT );
}
if ( ! empty( $logo_alt_dimensions['width'] ) ) {
	$logo_alt_width = filter_var( $logo_alt_dimensions['width'], FILTER_SANITIZE_NUMBER_INT );
}
if ( ! empty( $logo_alt_dimensions['height'] ) ) {
	$logo_alt_height = filter_var( $logo_alt_dimensions['height'], FILTER_SANITIZE_NUMBER_INT );
}

// retina logo url
if ( ! empty( $logo_r_url ) ) {

	if ( ! empty( $logo_url ) ) {
		$srcset = $logo_url . ' 1x, ' . $logo_r_url . ' 2x';
	} else {
		$logo_url = $logo_r_url;
	}
}

if ( empty( $logo_alt_url ) ) {
	$logo_alt_url = $logo_url;
}

// small retina logo url
if ( ! empty( $logo_alt_r_url ) ) {

	if ( ! empty( $logo_alt_url ) ) {
		$alt_srcset = $logo_alt_url . ' 1x, ' . $logo_alt_r_url . ' 2x';
	} else {
		$logo_alt_url = $logo_alt_r_url;
	}
}

if ( ! empty( $logo_url ) ) : ?>
	
	<a itemprop="url" class="logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<img class="<?php echo esc_attr( $logo_class ); ?>" width="<?php echo esc_attr( $logo_width ); ?>" height="<?php echo esc_attr( $logo_height ); ?>" src="<?php echo esc_url( $logo_url ); ?>"<?php if ( ! empty( $srcset ) ) : ?> srcset="<?php echo esc_attr( $srcset ); ?>"<?php endif; ?> alt="<?php echo esc_attr( $site_title ); ?>">
	</a>

<?php else : ?>
	
	<a itemprop="url" class="site-title" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( $site_title );?>"><?php echo esc_html( $site_title ); ?></a>

<?php endif; ?>

<?php if ( ! empty( $logo_alt_url ) ) : ?>

	<a itemprop="url" class="logo-alt" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<img class="<?php echo esc_attr( $logo_alt_class ); ?>" width="<?php echo esc_attr( $logo_alt_width ); ?>" height="<?php echo esc_attr( $logo_alt_height ); ?>" src="<?php echo esc_url( $logo_alt_url ); ?>"<?php if ( ! empty( $alt_srcset ) ) : ?> srcset="<?php echo esc_attr( $alt_srcset ); ?>"<?php endif; ?> alt="<?php echo esc_attr( $site_title ); ?>">
	</a>
	
<?php endif; ?>
	
	<meta itemprop="name" content="<?php echo esc_attr( $site_title ); ?>">
</div>